From 592bae1d7c6a23fbebec2ecb942d0cdbdb0897dd Mon Sep 17 00:00:00 2001
From: "Todd C. Miller" <Todd.Miller@courtesan.com>
Date: Mon, 24 Jan 2000 03:57:49 +0000
Subject: [PATCH] Add netgroup caveat

---
 sudoers.cat | 40 ++++++++++++++++++++--------------------
 sudoers.man | 14 ++++++++++----
 sudoers.pod |  6 ++++++
 3 files changed, 36 insertions(+), 24 deletions(-)

diff --git a/sudoers.cat b/sudoers.cat
index 51e5be632..936d734e5 100644
--- a/sudoers.cat
+++ b/sudoers.cat
@@ -61,7 +61,7 @@ DDDDEEEESSSSCCCCRRRRIIIIPPPPTTTTIIIIOOOONNNN
 
 
 
-18/Jan/2000                   1.6.2                             1
+23/Jan/2000                   1.6.2                             1
 
 
 
@@ -127,7 +127,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             2
+23/Jan/2000                   1.6.2                             2
 
 
 
@@ -193,7 +193,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             3
+23/Jan/2000                   1.6.2                             3
 
 
 
@@ -259,7 +259,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             4
+23/Jan/2000                   1.6.2                             4
 
 
 
@@ -325,7 +325,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             5
+23/Jan/2000                   1.6.2                             5
 
 
 
@@ -391,7 +391,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             6
+23/Jan/2000                   1.6.2                             6
 
 
 
@@ -457,7 +457,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             7
+23/Jan/2000                   1.6.2                             7
 
 
 
@@ -523,7 +523,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             8
+23/Jan/2000                   1.6.2                             8
 
 
 
@@ -589,7 +589,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                             9
+23/Jan/2000                   1.6.2                             9
 
 
 
@@ -655,7 +655,7 @@ EEEEXXXXAAAAMMMMPPPPLLLLEEEESSSS
 
 
 
-18/Jan/2000                   1.6.2                            10
+23/Jan/2000                   1.6.2                            10
 
 
 
@@ -721,7 +721,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                            11
+23/Jan/2000                   1.6.2                            11
 
 
 
@@ -787,7 +787,7 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                            12
+23/Jan/2000                   1.6.2                            12
 
 
 
@@ -829,6 +829,12 @@ CCCCAAAAVVVVEEEEAAAATTTTSSSS
        errors since ssssuuuuddddoooo will not run with a syntactically
        incorrect _s_u_d_o_e_r_s file.
 
+       When using netgroups of machines (as opposed to users), if
+       you store fully-qualified hostnames in the netgroup (as is
+       usually the case), you either need to have the machine's
+       hostname be fully-qualified as returned by the hostname
+       command or use the _f_q_d_n option in _s_u_d_o_e_r_s.
+
 FFFFIIIILLLLEEEESSSS
         /etc/sudoers           List of who can run what
         /etc/group             Local groups file
@@ -847,13 +853,7 @@ SSSSEEEEEEEE AAAALLLLSSSSOOOO
 
 
 
-
-
-
-
-
-
-18/Jan/2000                   1.6.2                            13
+23/Jan/2000                   1.6.2                            13
 
 
 
@@ -919,6 +919,6 @@ sudoers(5)                 FILE FORMATS                sudoers(5)
 
 
 
-18/Jan/2000                   1.6.2                            14
+23/Jan/2000                   1.6.2                            14
 
 
diff --git a/sudoers.man b/sudoers.man
index 329aff2d0..62a087d17 100644
--- a/sudoers.man
+++ b/sudoers.man
@@ -2,8 +2,8 @@
 ''' $RCSfile$$Revision$$Date$
 '''
 ''' $Log$
-''' Revision 1.21  2000/01/18 22:00:40  millert
-''' "a a" -> "a"; Aaron Campbell <aaron@cs.dal.ca>
+''' Revision 1.22  2000/01/24 03:57:49  millert
+''' Add netgroup caveat
 '''
 '''
 .de Sh
@@ -96,7 +96,7 @@
 .nr % 0
 .rr F
 .\}
-.TH sudoers 5 "1.6.2" "18/Jan/2000" "FILE FORMATS"
+.TH sudoers 5 "1.6.2" "23/Jan/2000" "FILE FORMATS"
 .UC
 .if n .hy 0
 .if n .na
@@ -851,6 +851,12 @@ The \fIsudoers\fR file should \fBalways\fR be edited by the \fBvisudo\fR
 command which locks the file and does grammatical checking. It is
 imperative that \fIsudoers\fR be free of syntax errors since \fBsudo\fR
 will not run with a syntactically incorrect \fIsudoers\fR file.
+.PP
+When using netgroups of machines (as opposed to users), if you
+store fully-qualified hostnames in the netgroup (as is usually the
+case), you either need to have the machine's hostname be fully-qualified
+as returned by the \f(CWhostname\fR command or use the \fIfqdn\fR option in
+\fIsudoers\fR.
 .SH "FILES"
 .PP
 .Vb 3
@@ -977,7 +983,7 @@ will not run with a syntactically incorrect \fIsudoers\fR file.
 
 .IX Subsection "Exceptions to wildcard rules:"
 
-.IX Item "\f(CW""\fR"
+.IX Item \f(CW""\fR
 
 .IX Subsection "Other special characters and reserved words:"
 
diff --git a/sudoers.pod b/sudoers.pod
index b9aa15e5c..23ec6a006 100644
--- a/sudoers.pod
+++ b/sudoers.pod
@@ -785,6 +785,12 @@ command which locks the file and does grammatical checking. It is
 imperative that I<sudoers> be free of syntax errors since B<sudo>
 will not run with a syntactically incorrect I<sudoers> file.
 
+When using netgroups of machines (as opposed to users), if you
+store fully-qualified hostnames in the netgroup (as is usually the
+case), you either need to have the machine's hostname be fully-qualified
+as returned by the C<hostname> command or use the I<fqdn> option in
+I<sudoers>.
+
 =head1 FILES
 
  /etc/sudoers		List of who can run what
